# SEO-4-ALL 2.0.0
# phpBB extension, by kaspir@thetopfew.com
# License [GPLv2](license.txt)


## The 'SEO4ALL' Purpose:
	All-in-one extension! Extends the SEO power of customizable meta data to the topic authors. Display adaptive meta content for
	all forum & topics. Auto updates your /sitemap.xml based on settings. Allow admin to control everything thru settings & permissions.

	
## Description
	Adds capabilities for authors (based on permissions), to allow topic descriptions and/or keywords. UTF-8 fully supported.
	Topic meta descriptions are auto generated if author defines none. Keywords are not auto generated, only author defined.
	Tags, or keywords (whatever you call them!), may be managed thru ACP->Ext tab->Tag Manager, as well as, blacklisted and/or whitelisted.
	A sitemap.xml may be generated & will update existing urls, based on settings. New forums and topics are automatically added.


## Credits
	Most, if not all, goes out to the developers of the following. Based on code from existing phpBB extensions, many thanks to:
	* RH Topic Tags extension (https://www.phpbb.com/customise/db/extension/rh_topic_tags/) coding used in this package.
	* SEO Meta Description (https://www.phpbb.com/customise/db/extension/seo_meta_description/) coding used in this package.
	* SEO Sitemap extension (https://www.phpbb.com/customise/db/extension/seo_sitemap) coding used in this package. 
	* Topic Description extension (https://www.phpbb.com/customise/db/extension/topic_description/) coding used in this package.
	
	WARNING! Before installing, please make sure you DISABLE any of the extensions listed above, or they MAY cause problems.
	

## Disclaimer: Why rewrite it if already available? SEO4ALL merely combined, updated, and added it's own features, 
			 dedicated to authors who want optional user-friendly meta descriptions or auto-generated descriptions
			 with all the power in one extension instead of several! Before SEO4ALL was shared with the world, it
			 was a privatly used extension on https://forums.thetopfew.com to provide two original purposes: 
				1. To provide search engines with a unique meta data for mainly each topic.
				2. Combine, organize all like extenions & save space in the ACP extensions module.


## UPDATING to v2.0.0 only: (read this carefully)
	Version(s) >=2.0.0 is NOT compatiable with SEO4ALL v1.x.x! (see CHANGLOG.md for details)
	
	1. You MUST disable SEO4ALL v1.x.x and click 'Delete Data'. 
		YES, you are about to reset all custom topic descs and tags! However, auto-generated topic meta descriptions are
		still & always generated while this extension is active. You will NEVER have to do this again with this extension!
	2. Rename* the current extension directory, since many file changes were made in this new package.
		(ex. go thru FTP, rename to: ext/thetopfew/seo4all#OLD)
		*After install, you may delete the old extension directory you renamed, unless you have your own edits to fetch later.
	3. Upload this full package, it should always look like: ext/thetopfew/seo4all/composer.json
	4. Begin setting your role permissions.
	
		ABOUT 2.0.0: RH Topic Tags originally deletes all of it's data upon 'Delete Data'. Topic Description does NOT originally.
		SEO4ALL now uses it's own unique tables, and WILL REMOVE ALL of it's stored data upon 'Delete Data' using v2.0.0 or higher!

		
## NEW Installation (v2.0.0 and above)
	1. Download the latest release.
	2. Unzip the downloaded release locally on your desktop.
	3. Copy the `thetopfew` folder to `phpBB/ext/` (if done correctly, you'll have the main extension class at
		(your forum root)/ext/thetopfew/seo4all/composer.json).
	4. Navigate in the ACP to `Customise tab -> Manage Extensions`.
	5. Look for `SEO-4-ALL` under the Disabled Extensions list, and click its `Enable` link.
	6. ACP -> Extensions -> SEO-4-ALL -> Sitemap Settings -> Click here to synchronise.
	7. ACP -> Extensions -> SEO-4-ALL -> Tag Settings -> Enable tags in all forums -> Select, 'Yes' then submit changes.
		Here, also turn on/off tag cloud on index, etc. For more permissions, explore permission roles and individual forum settings.

		
## Setting up Permissions
	First, if allowing topic tagging, start by enabling tags in all forums under Extensions tab->SEO4ALL->Tag Settings. 
	
	Then, go thru your ACP->Permissions tab (always suggested: utilize phpBB permission roles):
		-> Using 'User Roles' control group permissions who may edit their own topic tags for added meta keywords.
		-> Using 'Forum Roles' control group permissions who may utilize the custom topic description function.
	To turn on/off topic tags for individual forums, you may do so thru ACP->Forums tab-> the individual forum you want,
	scroll down to 'General Settings' where you may enable/disable tags (or prune tags) for individual forums.

	
## Uninstall
	1. Navigate in the ACP to `Customise tab -> Manage Extensions`.
	2. Look for `SEO-4-ALL` under the Enabled Extensions list, and click its `Disable` link.
	3. To permanently uninstall, click `Delete Data` and then delete the `/ext/thetopfew/seo4all` folder.
		
		WARNING: `Delete Data` will safely delete ALL data stored via SEO4ALL in your database!!
		
		Search engines will then eventually update your meta data on their own, if you decide not to use this extension.
		
		
