<?php
/**
* SEO4ALL. Extension for the phpBB Forum Software package.
*
* language/en/common.php (English)
*
* @copyright (c) 2017 https://thetopfew.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
**/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
	'TOPIC_DESC'						=> 'Description',
	'T_DESC_MAXCHARS'					=> 'Max 160 chars allowed.',
	'T_DESC_PLACEHOLD'					=> 'Your meta description will be first few sentences of your post, unless customised here. Practice smart authorship!',
	
	'SEO4ALL_TAGS'						=> 'All Tags',
	'SEO4ALL_TAG_EXPLAIN'				=> 'Search topics for this tag',
	'SEO4ALL_TOPICTAGS'					=> 'Topic Tags',
	'SEO4ALL_TAGCLOUD'					=> 'Top Used Tags',
	'SEO4ALL_TAGCLOUD_EXPLAIN'			=> 'Click to view all tags',

	'SEO4ALL_ALLOWED_TAGS'				=> 'After typing a tag, press enter to add another.',
	'SEO4ALL_WHITELIST_EXP'				=> '<b>Whitelist is enabled.</b> Only these tags are allowed:',

	'SEO4ALL_TAGS_SEARCH_HEADER_OR'		=> 'Search for topics with tag(s): %s',
	'SEO4ALL_TAGS_SEARCH_HEADER_AND'	=> 'Search for topics with tag(s): %s',
	'SEO4ALL_SEARCH_IGNORED_TAGS'		=> 'The following tags have been ignored, because they are invalid: %s',

	'SEO4ALL_NO_TOPICS_FOR_NO_TAG'		=> 'Please search for at least one valid tag to show topics here.',
	'SEO4ALL_NO_TOPICS_FOR_TAG_OR'		=> 'There are no topics tagged with any of these tag(s): %s',
	'SEO4ALL_NO_TOPICS_FOR_TAG_AND'		=> 'There are no topics tagged with all of these tag(s): %s',

	'SEO4ALL_TAGS_INVALID'				=> 'The following tags are invalid: %s',

	'SEO4ALL_TAGS_DISPLAYING_TOTAL_ALL'	=> 'Displaying all topic tags.',

	'SEO4ALL_TAGS_DISPLAYING_TOTAL'	=> array(
		0 => 'There are no tags, yet',
		1 => 'Displaying the top %d tag.',
		2 => 'Displaying the top %d tags.',
	),

	'SEO4ALL_TAG_SEARCH' 						=> 'Tag-Search',
	'SEO4ALL_TAG_SUGGEST_TAG_ROUTE_ERROR' 		=> 'No route found for “%s”',
));
